package jiaowuxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type classUser struct {
	portal    Portal
	userClass userClass
	list      string `name:"list class_uid uid auto" role:"void" help:"班级成员" icon:"https://img.icons8.com/officel/80/crowd.png"`
}

func (s classUser) Init(m *ice.Message, arg ...string) {
	s.portal.Show(m, model.ROLE, "creator,landlord")
}
func (s classUser) List(m *ice.Message, arg ...string) {
	m.Cmdy(s.userClass, s.userClass.User, arg).Display("")
}

func init() { ice.TeamCtxCmd(classUser{}) }
