package jiaowuxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type homework struct {
	Table
	portal string `data:"true"`
	create string `name:"create content*" role:"void"`
}

func (s homework) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.CLASS_UID))...)
}
func (s homework) List(m *ice.Message, arg ...string) {
	if len(arg) == 1 {
		s.Table.Select(m, model.CLASS_UID, arg[0])
	} else if len(arg) == 2 {
		s.Table.SelectDetail(m, model.CLASS_UID, arg[0], model.UID, arg[1])
	} else {
		return
	}
	s.SelectJoinUser(m).Display("")
}

func init() { ice.TeamCtxCmd(homework{}) }
